"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _merge = _interopRequireDefault(require("lodash/merge"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function merge() {
  for (var _len = arguments.length, config = new Array(_len), _key = 0; _key < _len; _key++) {
    config[_key] = arguments[_key];
  }

  // TODO: Consider not merging data, as this is potentially a large structure being copied.
  // Merging data allows some default data to be configured that is always sent, but is there an
  // actual use case for this?
  return (0, _merge.default)({}, ...config);
}

function hasValue(value) {
  return typeof value !== 'undefined' && value !== null && value !== '';
}

function hasOption(config, option) {
  return hasValue(config[option]);
}

var _default = {
  merge,
  hasOption
};
exports.default = _default;