"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cspace;

var _agent = _interopRequireDefault(require("./agent"));

var _config = _interopRequireDefault(require("./config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function cspace(cspaceConfig) {
  const sendRequest = requestConfig => _agent.default.sendRequest(_config.default.merge(cspaceConfig, requestConfig));

  const sendRequestWithOperation = operation => (resource, requestConfig) => sendRequest(_config.default.merge(requestConfig, {
    resource,
    operation
  }));

  return {
    create: sendRequestWithOperation('create'),
    read: sendRequestWithOperation('read'),
    update: sendRequestWithOperation('update'),
    delete: sendRequestWithOperation('delete')
  };
}